System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IDisposable

The interface enables an inheriting class to implement a Command class, which represents an SQL statement that is executed at a data source. For more information about Command classes, see [<topic://cpconadonetcommands>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement all inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines the method. In turn, the class inherits this method, and also defines the method.

Represents an SQL statement that is executed while connected to a data source, and is implemented by .NET Framework data providers that access relational databases.

- Method
  System.Void

  If there is nothing to cancel, nothing happens. However, if there is a command in process, and the attempt to cancel fails, no exception is generated.

  Attempts to cancels the execution of an .

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  When the property is set to StoredProcedure, set the property to the name of the stored procedure. The user may be required to use escape character syntax if the stored procedure name contains any special characters. The command will call this stored procedure when you call one of the Execute methods.

  Gets or sets the text command to run against the data source.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the wait time before terminating the attempt to execute a command and generating an error.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.CommandType To be added: an object of type 'CommandType'

  When you set the property to StoredProcedure, you should set the property to the name of the stored procedure. The command executes this stored procedure when you call one of the Execute methods.

  Indicates or specifies how the property is interpreted.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IDbConnection To be added: an object of type 'IDbConnection' To be added

  Gets or sets the used by this instance of the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.IDbDataParameter

  When inheriting from , a .NET Framework data provider implements a strongly-typed version of .

  Creates a new instance of an object.

  An IDbDataParameter object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  You can use the to perform catalog operations (for example, querying the structure of a database or creating database objects such as tables), or to change the data in a database without using a by executing UPDATE, INSERT, or DELETE statements.

  Although the does not return any rows, any output parameters or return values mapped to parameters are populated with data.

  For UPDATE, INSERT, and DELETE statements, the return value is the number of rows affected by the command. For all other types of statements, the return value is -1.

  Executes an SQL statement against the Connection object of a .NET Framework data provider, and returns the number of rows affected.

  The number of rows affected.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.IDataReader To be added

  Executes the against the and builds an .

  An object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.IDataReader ``

  The caller must call the method of the property.

  When the property is set to StoredProcedure, the property should be set to the name of the stored procedure. The command executes this stored procedure when you call .

  Use to retrieve large values and binary data. Otherwise, an might occur and the connection will be closed.

  While the is in use, the associated is busy serving the . While in this state, no other operations can be performed on the other than closing it. This is the case until the method of the DataReader is called. If the DataReader is created with set to CloseConnection, closing the DataReader closes the connection automatically.

  Executes the against the , and builds an using one of the values.

  An object.

  One of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Object

  Use the method to retrieve a single value (for example, an aggregate value) from a database. This requires less code than using the method, and then performing the operations necessary to generate the single value using the data returned by an .

  A typical query can be formatted as in the following C# example:

  `CommandText = "select count(*) as NumberOfRegions from region"; Int32 count = (int) ExecuteScalar();`

  If the first column of the first row in the result set is not found, a null reference (Nothing in Visual Basic) is returned. If the value in the database is null, the query returns DBNull.Value.

  Executes the query, and returns the first column of the first row in the resultset returned by the query. Extra columns or rows are ignored.

  The first column of the first row in the resultset.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IDataParameterCollection To be added: an object of type 'IDataParameterCollection' To be added

  Gets the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  If the property is set to TableDirect, does nothing. If is set to StoredProcedure, the call to should succeed, although it may result in a no-op. The server automatically caches plans for reuse as necessary; therefore, there is no need to call this method directly in your client application.

  Creates a prepared (or compiled) version of the command on the data source.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.IDbTransaction To be added: an object of type 'IDbTransaction' To be added

  Gets or sets the transaction within which the Command object of a .NET Framework data provider executes.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.UpdateRowSource To be added: an object of type 'UpdateRowSource' To be added

  Gets or sets how command results are applied to the when used by the method of a .

  1.0.5000.0
  2.0.0.0